Scaleway logo
MessageQ API

MessageQ API

Cloud Essentials for RabbitMQ is Scaleway's product to provide a managed infrastructure for your RabbitMQ deployment.

Concepts

Refer to our dedicated concepts pageOpen in new context to find definitions of the different terms referring to key building blocks of RabbitMQ.

Quickstart

  1. Create a deployment: Run the following command to create a deployment of three nodes with 5 GB of storage per node and a public endpoint.
TerminalCode
curl -X POST \ -H "X-Auth-Token: $SCW_SECRET_KEY" \ -H "Content-Type: application/json" \ -d '{ "project_id": $SCW_PROJECT_ID, "name":"deployment-1", "tags":[], "node_amount":1, "node_type":"MESSAGEQ-DEDICATED2-2C-8G", "user_name":"awesomeUser", "password":"MyAwesomeSecureP@ssword1", "volume":{ "type":"sbs_5k", "size_bytes":5000000000 }, "endpoints": [{"public": {}}], "version":"2.0" }' \ "https://api.scaleway.com/messageq/v1alpha1/regions/fr-par/deployments"
  1. Get a list of your deployments: Run the following command to get a list of all the clusters in your account, with their details:
TerminalCode
curl -X GET \ -H "Content-Type: application/json" \ -H "X-Auth-Token: $SCW_SECRET_KEY" \ "https://api.scaleway.com/messageq/v1alpha1/regions/fr-par/deployments"
  1. Delete your deployment: Run the following command to delete a cluster. Ensure that you replace {resource-id} in the URL with the ID of the cluster you want to delete.
TerminalCode
curl -X DELETE \ -H "Content-Type: application/json" \ -H "X-Auth-Token: $SCW_SECRET_KEY" \ "https://api.scaleway.com/messageq/v1alpha1/regions/fr-par/deployments/{resource-id}"

Technical information

Regions

Scaleway's infrastructure spans different regions and Availability ZonesOpen in new context.

Cloud Essentials for RabbitMQ is currently available in the Paris region, which is represented by the following path parameter:

  • fr-par

Going further

For more information about Cloud Essentials for RabbitMQ, you can check out the following pages: